use v6.e.PREVIEW;

use Pandoc;
use JSON::Class:auth<zef:vrurg>;

use DB::Post;

#| A plain markdown post
unit class MarkdownPost does Post is json;

#| Marker for disambiguation between post types in json representation, the
#| cheaty way
has Bool:D $.markdown = True;

method title(--> Str:D) {
    markdown-title($!source)
}
